[ARVADOS] updated: 1.3.0-1278-g8bbded328
Git user
git at public.curoverse.com
Wed Jul 10 13:47:49 UTC 2019
Summary of changes:
build/package-build-dockerfiles/Makefile | 4 ++--
build/run-tests.sh | 4 ++--
2 files changed, 4 insertions(+), 4 deletions(-)
via 8bbded328b14b3807de7baff7f30231b48409b16 (commit)
from f3293c48ae509f131c6c1727e10dbc7ba997f3df (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 8bbded328b14b3807de7baff7f30231b48409b16
Author: Ward Vandewege <wvandewege at veritasgenetics.com>
Date: Wed Jul 10 09:47:08 2019 -0400
We require go 1.12, update the run-tests.sh version check.
Also use go 1.12 in package building.
No issue #
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <wvandewege at veritasgenetics.com>
diff --git a/build/package-build-dockerfiles/Makefile b/build/package-build-dockerfiles/Makefile
index 523205021..0406b0ae0 100644
--- a/build/package-build-dockerfiles/Makefile
+++ b/build/package-build-dockerfiles/Makefile
@@ -28,7 +28,7 @@ ubuntu1804/generated: common-generated-all
test -d ubuntu1804/generated || mkdir ubuntu1804/generated
cp -rlt ubuntu1804/generated common-generated/*
-GOTARBALL=go1.10.1.linux-amd64.tar.gz
+GOTARBALL=go1.12.7.linux-amd64.tar.gz
NODETARBALL=node-v6.11.2-linux-x64.tar.xz
RVMKEY1=mpapis.asc
RVMKEY2=pkuczynski.asc
@@ -36,7 +36,7 @@ RVMKEY2=pkuczynski.asc
common-generated-all: common-generated/$(GOTARBALL) common-generated/$(NODETARBALL) common-generated/$(RVMKEY1) common-generated/$(RVMKEY2)
common-generated/$(GOTARBALL): common-generated
- wget -cqO common-generated/$(GOTARBALL) http://storage.googleapis.com/golang/$(GOTARBALL)
+ wget -cqO common-generated/$(GOTARBALL) https://dl.google.com/go/$(GOTARBALL)
common-generated/$(NODETARBALL): common-generated
wget -cqO common-generated/$(NODETARBALL) https://nodejs.org/dist/v6.11.2/$(NODETARBALL)
diff --git a/build/run-tests.sh b/build/run-tests.sh
index efc90becc..3c69ae91d 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -209,8 +209,8 @@ sanity_checks() {
echo -n 'go: '
go version \
|| fatal "No go binary. See http://golang.org/doc/install"
- [[ $(go version) =~ go1.([0-9]+) ]] && [[ ${BASH_REMATCH[1]} -ge 10 ]] \
- || fatal "Go >= 1.10 required. See http://golang.org/doc/install"
+ [[ $(go version) =~ go1.([0-9]+) ]] && [[ ${BASH_REMATCH[1]} -ge 12 ]] \
+ || fatal "Go >= 1.12 required. See http://golang.org/doc/install"
echo -n 'gcc: '
gcc --version | egrep ^gcc \
|| fatal "No gcc. Try: apt-get install build-essential"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list